#!/bin/bash
mypath=${0%/*}
THEMECFG="/ezxlocal/download/appwrite/setup/ezx_theme.cfg"
CurrentSkin=`grep "^CurrentSkin = " "$THEMECFG" | sed "s/CurrentSkin = //"`
grid=$CurrentSkin/svg

showRadio "ZN5_MenuStyles" "" "1. Backup" "2. Carousel" "3. V-Shaped" "4. Analog" "5. Conveer" "6. Frame" "7. Tablo" "8. Cosmetic" "9. Clock" "10. Cross" "11. Restore" "12. Information"
case "$?" in
1)
showQ "Backup" "Do you want to execute?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp $grid/grid.svg $mypath/back
showNotify "Completed" "............" 0
;;
2)
showQ "Carousel" "Do you want to execute?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp $mypath/one/grid.svg $grid
showNotify "Completed" "\(^o^)/" 0
;;
3)
showQ "V-Shaped" "Do you want to execute?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp $mypath/two/grid.svg $grid
showNotify "Completed" "\(^o^)/" 0
;;
4)
showQ "Analog" "Do you want to execute?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp $mypath/three/grid.svg $grid
showNotify "Completed" "\(^o^)/" 0
;;
5)
showQ "Conveer" "Do you want to execute?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp $mypath/four/grid.svg $grid
showNotify "Completed" "\(^o^)/" 0
;;
6)
showQ "Frame" "Do you want to execute?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp $mypath/five/grid.svg $grid
showNotify "Completed" "\(^o^)/" 0
;;
7)
showQ "Tablo" "Do you want to execute?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp $mypath/six/grid.svg $grid
showNotify "Completed" "\(^o^)/" 0
;;
8)
showQ "Cosmetic" "Do you want to execute?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp $mypath/seven/grid.svg $grid
showNotify "Completed" "\(^o^)/" 0
;;
9)
showQ "Clock" "Do you want to execute?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp $mypath/eight/grid.svg $grid
showNotify "Completed" "\(^o^)/" 0
;;
10)
showQ "Cross" "Do you want to execute?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp $mypath/nine/grid.svg $grid
showNotify "Completed" "\(^o^)/" 0
;;
11)
showQ "Restore" "Do you want to restore?" 1
if [ "0" = "$?" ]	
then
exec $mypath/index.sh
fi
cp  $mypath/back/grid.svg  $grid
showNotify "Completed" ".........." 0
;;
12)
showQ "Infomation" "Thanks to JAYDD, vanfec,January,Xmifeng and Tim22r. Port to ZN5 by huatz84.

 " 2
exec $mypath/index.sh
;;
*)
exit 0
;;
esac
